[![DOI](https://zenodo.org/badge/420153290.svg)](https://zenodo.org/badge/latestdoi/420153290)

<!---
<style type="text/css">
  td {font-size:80%}

  .new-page {page-break-before: always;}
  tr, tr td {padding-top:0; padding-bottom:0}
  tbody tr td {font-size:80%}
  blockquote {font-size:80%}
  @media print {
  }
}
</style>
  --->

## RAMPVIS PhilTransA Submission Supplement
### _Collection of Observable Notebooks for RAMP VIS Reflection_

This is a repository for the collection of immutable, archived versions of the Observable Notebooks to support the RAMPVIS PhilTransA submission :

 * "**_Visualization for Epidemiological Modelling: Challenges, Solutions, Reflections & Recommendations_**"

by a collective of authors from the [SCRC](https://www.gla.ac.uk/research/az/scrc/) and the [RAMP VIS](https://sites.google.com/view/rampvis/) Consortiums:

- **Dykes, Jason**; City University of London, Computer Science
- **Abdul-Rahman, Alfie**; King's College London
- **Archambault, Daniel**; Swansea University
- **Bach, Benjamin**; The University of Edinburgh, School of Informatics
- **Borgo, Rita**; King's College London
- **Chen, Min**; Oxford University
- **Enright, Jess**; University of Glasgow
- **Fang, Hui**; Loughborough University
- **Firat, Elif**; University of Nottingham
- **Freeman, Euan**; University of Glasgow
- **Gonen, Tuna**; University of Oxford
- **Harris, Claire**; Biomathematics and Statistics Scotland
- **Jianu, Radu**; City University
- **John, Nigel**; University of Chester,
- **Khan, Saiful**; Oxford University
- **Lahiff, Andrew**; United Kingdom Atomic Energy Authority,
- **Laramee, Robert**; University of Nottingham
- **Matthews, Louise**; University of Glasgow, Boyd Orr Centre for Population and Ecosystem Health
- **Mohr, Sibylle**; University of Glasgow, Boyd Orr Centre for Population and Ecosystem Health
- **Nguyen, Phong**; Oxford University
- **Rahat, Alma**; Swansea University
- **Reeve, Richard**; University of Glasgow, Boyd Orr Centre for Population and Ecosystem Health
- **Ritsos, Panagiotis**; Bangor University
- **Roberts, Jonathan**; Bangor University
- **Slingsby, Aidan**; City University
- **Swallow, Ben**; University of Glasgow School of Mathematics and Statistics,
- **Torsney-Weir, Thomas**; Swansea University
- **Turkay, Cagatay**; University of Warwick
- **Turner, Robert**; The University of Sheffield
- **Vidal, Franck**; Bangor University
- **Wang, Qiru**; University of Nottingham
- **Wood, Jo**; City University of London, Computer Science
- **Xu, Kai**; Middlesex University

The first release of the repository and the links to the archived versions of the notebooks were made on initial submission on *21.11.2021*.<br/>

The second release of the repository and the links to the archived versions of the notebooks were made on resubmission of the manuscript following reviewers' comments on *28.02.2022*.<br/>

Release specific details will be added at the end of the page, for instance, if further releases are made with revised versions of the notebooks.

Note that initially we termed all notebooks 'idioms'. On reflection, and following guidance from anonymous reviewers, we now reserve this term for particular defined styles or forms of visual data depiction. We use the broader term 'knowledge constructs' to describe a wider set of knowledge types that includes these visual idioms, but also other ideas, approaches and methods developed and used in VIS research.

The individual notebooks in this collection can be accessed through the links in the table below. The first link takes you to the immutable, html-based version of the notebook, the second link takes you to the live, fork-able and editable version of the code on the [Observable](https://observablehq.com/) platform.<br/><br/>
<div class="new-page"/>

| VIS Knowledge Construct  | Immutable Archive | Live Observable |
| ------------- | ------------- | ------------- |
| Integrated Algorithmic Tools for Visual Analytics | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Algorithms/) | [live version](https://observablehq.com/@lborohfang/rampvis-idiom-integrated-algorithmic-tools-for-visual-ana) |
| D3.js for rapid visualization prototyping | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/D3/) | [live version](https://observablehq.com/d/071ee158d5418d96) |
| Derived data spaces | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/DDS/) | [live version](https://observablehq.com/d/78b20aa4152547e2) |
| Developing deployable visualization systems -<br/>comparing existing implementation vs. RAMPVIS server architecture | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Deploy/) | [live version](https://observablehq.com/d/e7dc9a1ffd763d73) |
| Propagating Visual Designs | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/DesignProp/) | [live version](https://observablehq.com/d/87a416cd4468fff0) |
| Dynamic data visualization | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/DynamicData/) | [live version](https://observablehq.com/d/e635bbb87b89b463) |
| Applying Design Study Methodology in an Emergency Response | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/ERDS/) | [live version](https://observablehq.com/d/2e98f8d7f3cf5c08) |
| Represent error and uncertainty | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Error/) | [live version](https://observablehq.com/@henryqw/represent-error-and-uncertainty) |
| Five sheets, for design /ideation thinking | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/FiveSheets/) | [live version](https://observablehq.com/@jcrbrts/rampvis-idioms-fds) |
| Directional Flow Curves | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/FlowCurve/) | [live version](https://observablehq.com/@jwolondon/rampvis_idiom_directional_flow_curves) |
| Four levels of visualization | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/FourLevels/) | [live version](https://observablehq.com/d/a9aaed2f31718620) |
| Gridded GlyphMaps | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/GlyphMap/) | [live version](https://observablehq.com/@aidans/rampvis-idiom-gridded-glyphmaps) |
| Pictograms | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Glyphs/) | [live version](https://observablehq.com/@ritsosp/rampvis-idioms-pictograms) |
| GMap | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/GMap/) | [live version](https://observablehq.com/@kaimdx/rampvis-idiom-gmap) |
| Idioms relate to VIS guidelines | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Guidelines/) | [live version](https://observablehq.com/d/bb1d4a08de896005) |
| VIS infrastructure | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Infra/) | [live version](https://observablehq.com/d/54c8641168c013ea) |
| Multiple Linked Views for Visual Exploration or how to Project for 2D - part 1 | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/LinkedViews/) | [live version](https://observablehq.com/@henryqw/multiple-linked-views) |
| NAPA Cards | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/NapaCards/) | [live version](https://observablehq.com/@ritsosp/rampvis-idioms-narrative-design-patterns) |
| OD Maps | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/ODMaps/) | [live version](https://observablehq.com/@jwolondon/rampvis_idiom_odmap) |
| Ontology-assisted visualization | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Ontology/) | [live version](https://observablehq.com/d/596df309c41cca50) |
| Theory-guided optimisation of VA workflows (inc. modelling workflows) | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Optimal/) | [live version](https://observablehq.com/d/087e459840b2b478) |
| Linked Parallel Coordinates Plots for Parameter Space Visualization | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/ParamSpace/) | [live version](https://observablehq.com/d/7d339207ef90c483) |
| Parallel Coordinates Plots | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/PCP/) | [live version](https://observablehq.com/d/c3a628d8bd4fe8fe) |
| Scalable Pixel Based Visual Data Exploration | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Pixels/) | [live version](https://observablehq.com/d/880d234e47a1ed24) |
| Complementary Visualizations of Dynamic Networks (Static to Dynamic) | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/TempNet/) | [live version](https://observablehq.com/d/43927395f6cb890c) |
| VIS needs more theoretical advances | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/Theory/) | [live version](https://observablehq.com/d/ac04bb76a1ec0dd4) |
| Visual Faceting &amp; Sorting for Comparative Time Series Analysis | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/VisCon/) | [live version](https://observablehq.com/d/4aebb875cacaef3a) |
| Volunteer visualization | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/VolunteerVIS/) | [live version](https://observablehq.com/d/efe6c1c90c625bec) |
| Design by Immersion | [archived version](https://ramp-vis.github.io/RAMPVIS-PhilTransA-Supplement/ObservableNotebooks/DesignByImmersion/) | [live version](https://observablehq.com/@jsndyks/rampvis-idiom-design-by-immersion) |


**Notes for release v.1.0 (21.11.2021):**<br/>A first release of the repository is also deposited to Zenodo for a permanent snapshot.
This snapshot [can be accessed on Zenodo here](https://zenodo.org/record/5717367#.YZq6dr3P2HE) along with subsequent versions and be cited as:

> Dykes, Jason, Abdul-Rahman, Alfie, Archambault, Daniel, Bach, Benjamin, Borgo, Rita, Chen, Min, Enright, Jess, Fang, Hui, Firat, Elif, Freeman, Euan, Gonen, Tuna, Harris, Claire, Jianu, Radu, John, Nigel, Khan, Saiful, Lahiff, Andrew, Laramee, Robert, Matthews, Louise, Mohr, Sibylle, Nguyen, Phong, Rahat, Alma, Reeve, Richard, Ritsos, Panagiotis, Roberts, Jonathan, Slingsby, Aidan, Swallow, Ben, Torsney-Weir, Thomas, Turkay, Cagatay, Turner, Robert, Vidal, Franck, Wang, Qiru, Wood, Jo, Xu, Kai, 2021. RAMP-VIS/RAMPVIS-PhilTransA-Supplement: RAMPVIS_PhilTransA_Supplement_v1.0. https://doi.org/10.5281/zenodo.5717367

**Notes for release v.2.0 (28.02.2022):** <br/>The repository is deposited to Zenodo for a permanent snapshot. This snapshot [can be accessed on Zenodo here](https://zenodo.org/record/5717367#.YZq6dr3P2HE) and will always resolve to the latest version. It can be cited as:

> Dykes, Jason, Abdul-Rahman, Alfie, Archambault, Daniel, Bach, Benjamin, Borgo, Rita, Chen, Min, Enright, Jess, Fang, Hui, Firat, Elif, Freeman, Euan, Gonen, Tuna, Harris, Claire, Jianu, Radu, John, Nigel, Khan, Saiful, Lahiff, Andrew, Laramee, Robert, Matthews, Louise, Mohr, Sibylle, Nguyen, Phong, Rahat, Alma, Reeve, Richard, Ritsos, Panagiotis, Roberts, Jonathan, Slingsby, Aidan, Swallow, Ben, Torsney-Weir, Thomas, Turkay, Cagatay, Turner, Robert, Vidal, Franck, Wang, Qiru, Wood, Jo, Xu, Kai, 2021. RAMP-VIS/RAMPVIS-PhilTransA-Supplement: RAMPVIS_PhilTransA_Supplement_v2.0. https://doi.org/10.5281/zenodo.5717367
